// Package filter ...
//
// Description : filter ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-07-04 18:13
package filter

import (
	"fmt"
	"testing"
)

func Test_parseLexical(t *testing.T) {
	jsonData := `{
	"start" :       123456,
    "name"   :     "zhangsan",
    "age":"18",
    "extension":{
        "sex":"man",
        "height":"180"
    },
    "teacher_list":[
        {
            "name":"t1",
            "age":"11"
        },
        {
            "name":"t2",
            "age":"12"
        }
    ]
}`
	//jsonData = `{"name":"zhangsan","age":"18","extension":{"sex":"man","height":"180"},"teacher_list":[{"name":"t1","age":"11"},{"name":"t2","age":"12"}]}`

	instance := NewLexical(jsonData)
	_ = instance.Parse()
	fmt.Println(instance.String())
}
